QGIS and GDAL cannot be updated together on Ubuntu Xenial 

2017-03-27 07:12 PM - Scott Atkinson

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:2.18.4 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24295

Description

I'm proposing to update the priority of the original issue to Severe as it seems to break QGIS on Ubuntu 16.04, having to revert to 2.14

being the only means I've found to get a working version of QGIS. QGIS update fails on dependency gdal-abi-2-1-2, while that version of

GDAL seems to have been pulled from the repos with the recent update to libgdal 2-1-3 + Dfsg.

Original Issue:

On Ubuntu Xenial, qgis and gdal can not be updated together.

Qgis 2.18.4 > qgis 2.18.5

Gdal 2.1.2 > gdal 2.1.3

Error messages:

Qgis:

  Depends on: gdal-abi-2-1-2

libgdal 2.1.3. + Dfsg ~ xenial is available in the package sources!

Claas

Related issues:

Related to QGIS Application - Bug report # 16977: Cannot install 2.18/2.14 on... Closed 2017-08-06

History

#1 - 2017-03-28 02:06 AM - Andre Joost

This affects only the Ubuntugis version of QGIS. The Debian version of 2.18.5 runs fine on xenial (but with GDAL 1.11.3).

Maybe an issue with the ubuntugis packaging not in sync with the qgis.org/ubuntugis repo.

As a sidenote:

The Ubuntugis (stable) ppa provides GDAL 2.1.0 (with gdal-abi-2-1-0), and the Ubuntugis-unstable ppa provides GDAL 2.1.3 (with gdal-abi-2-1-3) for

now.

QGIS should be able to work with both of them (but does neither currently).

#2 - 2017-03-28 02:53 AM - Pedro Venâncio

http://osgeo-org.1560.x6.nabble.com/QGIS-2-18-5-got-deinstalled-after-updating-ubuntugis-dependencies-td5314507.html
#3 - 2017-03-28 08:57 AM - Andre Joost

A workaround is shown here: 

http://gis.stackexchange.com/questions/216780/cannot-install-qgis-2-18-from-repository-on-debian-stretch-package-gdal-abi-2/233830#233830

And another chance at http://serverfault.com/questions/250224/how-do-i-get-apt-get-to-ignore-some-dependencies/383958#383958 and 

https://superuser.com/questions/739274/ignore-all-dependencies-for-a-specific-package-with-apt-get/815371#815371

but I have not tested it myself.

#4 - 2017-03-28 06:03 PM - Scott Atkinson

The workaround indicated by Andre of creating a fake gdal-abi-2-1-2 package (

http://gis.stackexchange.com/questions/216780/cannot-install-qgis-2-18-from-repository-on-debian-stretch-package-gdal-abi-2/233830#233830) sorts

the dependency problem out and allows the updates from the Ubuntugis repos for both GDAL and QGIS to function. Thanks Andre :)

#5 - 2017-03-29 04:22 PM - Scott Atkinson

- Status changed from Open to Closed

It's been fixed, the Ubuntugis repositories have been updated, and QGIS 2.18.5 installs and works fine now.

#6 - 2017-08-06 03:10 PM - Andre Joost

Same issue, next round:

The ubuntugis unstable ppa has updated GDAL from version 2.1.3 to 2.2.1. Any previous QGIS installation gets removed on updating.

Installing QGIS 2.18.11 from http://qgis.org/ubuntugis xenial main is currently not possible, because it depends on GDAL 2.1.3.

Ubuntugis unstable has updated QGIS to 2.14.17, so at least that one works at the moment, if qgis org is disabled in the sources list, and sudo apt

autoremove has been run.

I suggest to reopen this issue, and think of a better way to interact with ubuntugis updates.

#7 - 2017-08-06 07:07 PM - Giovanni Manghi

- Priority changed from Severe/Regression to Low

- Description updated

Andre Joost wrote:

Same issue, next round:

The ubuntugis unstable ppa has updated GDAL from version 2.1.3 to 2.2.1. Any previous QGIS installation gets removed on updating.

Installing QGIS 2.18.11 from http://qgis.org/ubuntugis xenial main is currently not possible, because it depends on GDAL 2.1.3.

Ubuntugis unstable has updated QGIS to 2.14.17, so at least that one works at the moment, if qgis org is disabled in the sources list, and sudo apt
autoremove has been run.

I suggest to reopen this issue, and think of a better way to interact with ubuntugis updates.

#16977 thanks for pointing the problem.

#8 - 2017-08-07 09:17 AM - Jürgen Fischer

- Related to Bug report #16977: Cannot install 2.18/2.14 on Ubuntu Xenial with Ubuntugis dependencies (and QGIS.org repos) added

#9 - 2017-12-04 05:30 AM - Richard Lang

And yet again. ubuntugis-unstable rolled their version of GDAL to 2.2.2 on 23rd Nov. #17615

#10 - 2018-01-31 01:56 AM - Alister Hood

Is this currently an issue?  If so I guess it should be reopened...

I have what looks like the same issue trying to install from http://qgis.org/ubuntugis-nightly, but maybe I have the wrong dependency repo enabled (I did 

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable, but I'm not sure if that's right).

#11 - 2018-02-23 10:31 AM - Giovanni Manghi

- Resolution set to fixed/implemented

#12 - 2018-02-25 11:04 AM - Guillaume Chauvat

While trying to update to the expected QGIS 3, I faced the same issue.

Since Debian repo isn't updated yet, I tried ubuntugis (https://qgis.org/ubuntugis/) and received:

"gdal-abi-2-2-2 not installable

libgdal20 (>= 1.8.0) not installable"

I guess the issue is not fixed yet.

(Linux Mint 18.2 / Xenial)

#13 - 2018-03-07 05:18 AM - Tim Beatty

I have the same issue.

This was off a clean install of Ubuntu 16.04 / Xenial

#14 - 2018-03-07 10:02 AM - Giovanni Manghi

Tim Beatty wrote:

I have the same issue.

This was off a clean install of Ubuntu 16.04 / Xenial
have you added the ubuntugis repository too?
